| Win32-2.1.1.1: A binding to part of the Win32 library | Source code | Contents | Index

System.Win32.Time

Portability | portable
Stability | provisional
Maintainer | Esa Ilari Vuokko <ei@vuokko.info>

Description
A collection of FFI declarations for interfacing with Win32 Time API.
Documentation

newtype FILETIME | Source

Constructors

FILETIME DDWORD |

Instances

Eq FILETIME
Ord FILETIME
Show FILETIME
Storable FILETIME

data SYSTEMTIME | Source

Constructors

SYSTEMTIME |

wYear, wMonth, wDayOfWeek, wDay, wHour, wMinute, wSecond, wMilliseconds :: WORD |

Instances

Eq SYSTEMTIME
Ord SYSTEMTIME
Show SYSTEMTIME
Storable SYSTEMTIME

data TIME_ZONE_INFORMATION | Source

Constructors

TIME_ZONE_INFORMATION |

tziBias :: LONG |
tziStandardName :: String |
tziStandardDate :: SYSTEMTIME |
tziStandardBias :: LONG |
tziDaylightName :: String |
tziDaylightDate :: SYSTEMTIME |
tziDaylightBias :: LONG |

Instances

Eq TIME_ZONE_INFORMATION
Ord TIME_ZONE_INFORMATION
Show TIME_ZONE_INFORMATION
Storable TIME_ZONE_INFORMATION

data TimeZoneId | Source

Constructors

TzIdUnknown |
TzIdStandard |
TzIdDaylight |

Instances

Eq TimeZoneId
Ord TimeZoneId
Show TimeZoneId

c_GetSystemTime :: Ptr SYSTEMTIME -> IO () | Source

getSystemTime :: IO SYSTEMTIME | Source

c_SetSystemTime :: Ptr SYSTEMTIME -> IO BOOL | Source

setSystemTime :: SYSTEMTIME -> IO () | Source

c_GetSystemTimeAsFileTime :: Ptr FILETIME -> IO () | Source

getSystemTimeAsFileTime :: IO FILETIME | Source

c_GetLocalTime :: Ptr SYSTEMTIME -> IO () | Source

getLocalTime :: IO SYSTEMTIME | Source

c_SetLocalTime :: Ptr SYSTEMTIME -> IO BOOL | Source

setLocalTime :: SYSTEMTIME -> IO () | Source

c_GetSystemTimeAdjustment :: Ptr DWORD -> Ptr DWORD -> Ptr BOOL -> IO BOOL | Source

getSystemTimeAdjustment :: IO (Maybe (Int, Int)) | Source

getTickCount :: IO DWORD | Source

c_SetSystemTimeAdjustment :: DWORD -> BOOL -> IO BOOL | Source

setSystemTimeAdjustment :: Maybe Int -> IO () | Source

c_GetTimeZoneInformation :: Ptr TIME_ZONE_INFORMATION -> IO DWORD | Source

getTimeZoneInformation :: IO (TimeZoneId, TIME_ZONE_INFORMATION) | Source

c_SystemTimeToFileTime :: Ptr SYSTEMTIME -> Ptr FILETIME -> IO BOOL | Source

systemTimeToFileTime :: SYSTEMTIME -> IO FILETIME | Source

c_FileTimeToSystemTime :: Ptr FILETIME -> Ptr SYSTEMTIME -> IO BOOL | Source

fileTimeToSystemTime :: FILETIME -> IO SYSTEMTIME | Source

c_GetFileTime :: HANDLE -> Ptr FILETIME -> Ptr FILETIME -> Ptr FILETIME -> IO BOOL | Source

getFileTime :: HANDLE -> IO (FILETIME, FILETIME, FILETIME) | Source

c_SetFileTime :: HANDLE -> Ptr FILETIME -> Ptr FILETIME -> Ptr FILETIME -> IO BOOL | Source

setFileTime :: HANDLE -> FILETIME -> FILETIME -> FILETIME -> IO () | Source

c_FileTimeToLocalFileTime :: Ptr FILETIME -> Ptr FILETIME -> IO BOOL | Source

fileTimeToLocalFileTime :: FILETIME -> IO FILETIME | Source

c_LocalFileTimeToFileTime :: Ptr FILETIME -> Ptr FILETIME -> IO BOOL | Source

localFileTimeToFileTime :: FILETIME -> IO FILETIME | Source

c_QueryPerformanceFrequency :: Ptr LARGE_INTEGER -> IO BOOL | Source

queryPerformanceFrequency :: IO Integer | Source

c_QueryPerformanceCounter :: Ptr LARGE_INTEGER -> IO BOOL | Source

queryPerformanceCounter :: IO Integer | Source

type GetTimeFormatFlags = DWORD | Source

lOCALE_NOUSEROVERRIDE :: GetTimeFormatFlags | Source

lOCALE_USE_CP_ACP :: GetTimeFormatFlags | Source

tIME_NOMINUTESORSECONDS :: GetTimeFormatFlags | Source

tIME_NOSECONDS :: GetTimeFormatFlags | Source

tIME_NOTIMEMARKER :: GetTimeFormatFlags | Source

tIME_FORCE24HOURFORMAT :: GetTimeFormatFlags | Source

c_GetTimeFormat :: LCID -> GetTimeFormatFlags -> Ptr SYSTEMTIME -> LPCTSTR -> LPTSTR -> CInt -> IO CInt | Source

getTimeFormat :: LCID -> GetTimeFormatFlags -> SYSTEMTIME -> String -> IO String | Source

Produced by Haddock version 0.8